# Select_Reactor_T.cpp File Reference

`#include "ace/Select_Reactor_T.h"`
`#include "ace/ACE.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Signal.h"`
`#include "ace/Thread.h"`
`#include "ace/Timer_Heap.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_sys_select.h"`
`#include "ace/OS_NS_sys_stat.h"`
`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Select_Reactor_T.cpp:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_SELECT_REACTOR_HANDLE(H) (this->event_handlers_[(H)].handle_)
#define | ACE_SELECT_REACTOR_EVENT_HANDLER(THIS, H) ((THIS)->event_handlers_[(H)].event_handler_)

## Define Documentation

#define ACE_SELECT_REACTOR_EVENT_HANDLER | ( | THIS,
|  | H |  | ) | ((THIS)->event_handlers_[(H)].event_handler_)

#define ACE_SELECT_REACTOR_HANDLE | ( | H |  | ) | (this->event_handlers_[(H)].handle_)